<template>
  <div class="baraja">
    <Card
      v-for="(product, i) in products"
      :key="i"
      :title="product.name"
      :desc="product.desc"
      :price="product.price"
      :id="product.id"
      @product-to-update="getNewProduct"
      @product-to-delete="getProductToDelete"
    />
  </div>
</template>

<script>
import Card from "@/components/Card.vue";

export default {
  name: "Baraja",
  components: {
    Card,
  },
  props: {
    products: Array,
  },
  methods: {
    getNewProduct: function(newProduct) {
      this.$emit("product-to-update", newProduct);
    },
    getProductToDelete: function(productToDelete) {
      this.$emit("product-to-delete", productToDelete);
    },
  },
  created() {
    console.log(this.products);
  },
};
</script>
